import groovyx.gpars.GParsPool

description = 'Copy Runtime Data tables'

//Runtime Data Tables
//================

// Allows us to identify migrated events in the 5.0 system
copyTableColumns('EVS', null, [VERSION: '-410'])
copyTableColumns('ENH_MSGS', ['BYPASS_OUTBOUND_AUTH'])

List<String> tables = RUNTIME_TABLES

GParsPool.withPool(POOL_SIZE) {
    tables.eachParallel { tableName ->
        copyTableColumns(tableName)
    }
}
Map verifyResults = verifyCopy(tables + ['EVS', 'ENH_MSGS'])
if(verifyResults){
    throw new IllegalStateException("Verification failed: $verifyResults")
}
return this.timingResults