import groovyx.gpars.GParsPool

//REV Tables that are used in reports
//================
description = 'Copy REV tables used for reporting'

List<String> tables = REV_REPORTING_TABLES


if(excludeNodeEngineTables) {
    tables = tables - NODE_AND_ENGINE_REVISION_TABLES;
}

GParsPool.withPool(POOL_SIZE) {
    tables.eachParallel { tableName ->
        copyTableColumns(tableName)
    }
}
Map verifyResults = verifyCopy(tables, true)
if(verifyResults){
    throw new IllegalStateException("Verification failed: $verifyResults")
}
return this.timingResults